﻿using System.Collections.Generic;
using System.ServiceModel;

namespace TestServer
{
    /// <summary>
    /// 파일 서비스 인터페이스
    /// </summary>
    [ServiceContract]
    public interface IFileService
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method

        #region 모든 파일명 리스트 구하기 - GetAllFileNameList()

        /// <summary>
        /// 모든 파일명 리스트 구하기
        /// </summary>
        /// <returns>모든 파일명 리스트</returns>
        [OperationContract]
        List<string> GetAllFileNameList();

        #endregion
        #region 업로드 하기 - Upload(fileData)

        /// <summary>
        /// 업로드 하기
        /// </summary>
        /// <param name="fileData">파일 데이터</param>
        [OperationContract]
        void Upload(FileData fileData);

        #endregion
        #region 다운로드 하기 - Download(fileRequest)

        /// <summary>
        /// 다운로드 하기
        /// </summary>
        /// <param name="fileRequest">파일 요청</param>
        /// <returns>파일 데이터</returns>
        [OperationContract]
        FileData Download(FileRequest fileRequest);

        #endregion
    }
}